{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.crl.salmon": {
      "arrays": {
        "textures": {
          "Array.variant_skins": [
            "Texture.sockeye_salmon",
            "Texture.pink_salmon",
            "texture.coho_salmon",
            "texture.chum_salmon",
            "texture.chinook_salmon"
          ]
        }
      },
      "geometry": "Geometry.default",
      "materials": [{ "*": "Material.default" }],
      "textures": ["(q.is_name_any('Sockeye Salmon','Pink Salmon','Coho Salmon','Chum Salmon','Chinook Salmon')?(q.is_name_any('Sockeye Salmon','Pink Salmon')?(q.is_name_any('Sockeye Salmon')?Texture.sockeye_salmon:Texture.pink_salmon):(q.is_name_any('Coho Salmon')?(Texture.coho_salmon):(q.is_name_any('Chum Salmon')?Texture.chum_salmon:Texture.chinook_salmon))):Array.variant_skins[variable.random_variant])"]
    }
  }
}
